function y = MLBL( L,B,p,x )

%        y = MLBL( L,B,p,x );
% solves M*y = x, where [L,B,p] = Mldl( A,tol,thresh );
% so that L*B*L' ~= A(p,p).

% 12 May 2020: First version of MLBL for use with Mldl and minres.
%              Shaked Regev and Michael Saunders, ICME, Stanford University.

   v = L\x(p);
   w = B\v;
   v = L'\w;
   y(p) = v;   % For some reason this makes y a row vector,
               % whether p is a row or column vector.
   y = y(:);   % Now y is a column vector.

end % function MLBL
