function x = minresI( A,b,rtol );

% rtol = 1e-8;   x = minresI( A,b,rtol );
% runs minres on Ax = b with preconditioner I (= no preconditioner)
% and accuracy tolerance rtol.

% 29 Apr 2020: First version of minresI.
%              Michael Saunders,
%              ICME, Stanford University.
% 16 Jun 2020: Added input rtol and output x.

   fprintf('\n minresI')
   n      = length(A);
   M      = [];
   x0     = [];
   precon = 2;
   shift  = 0.0;
   show   = 1;
   check  = 0;
   itnlim = min(4*n,50000);
%  rtol   = 1e-8;   % Now an input parameter
   tolMPD = 1e-4;
   facMPD = 1e+2;
   tic

   [ x, istop, itn, rnorm, Arnorm, Anorm, Acond, xnorm, betacheck ] = ...
       minres( x0, A, b, M, precon, shift, show, check, itnlim, rtol, tolMPD );

   TI = toc;
   fprintf('\n Time for minresI =%9.2e\n', TI)

end % function minresI
