function x = refineMchol( A,b,tol,itmax );

% SPD=1;     [A,b,xtrue] = makeAbx( Problem,SPD );
% tol=1e-4;  itmax=8;  x = refineMchol( A,b,tol,itmax );

% 15 May 2020: MS wondering if iterative refinement does anything useful.
%              A should be SPD and tol should be small
%              so that Mchol or Mldl work reasonably well.

  n = length(A);
  M = Mchol( A,tol );   % decomposition
  if isempty(M), return; end
  fprintf('\n itn   rnorm')
  x = zeros(n,1);
  r = b;

  for i=1:itmax
     dx = M\r;
     x  = x + dx;
     r  = b - A*x;
     fprintf('\n%3i %9.1e', i,norm(r))
  end
  disp(' ')

end % function refineMchol
