function testSID( rtol );

% rtol = 1e-12;   testSID( rtol );
% testSID  tests MINRES with the Mminres2 preconditioner on meg4.mat
% with specified residual tolerance rtol.
% meg4 is an ill-conditioned test problem.
% condest(A) = 4.2e+10 before scaling
%            = 3.7e+05 after scaling.

% 16 Jun 2020: First version of testSID for minres20
%              to facilitate a quick check.

  load meg4.mat;

% Extract A = Problem.A from symmetric sparse matrix in SuiteSparse format,
% scale A, and create b such that Ax = b has a known solution (xtrue).
% xtrue(1) = 1 and MINRES prints x(1).  This allows us to see if MINRES
% is close to converging.
% (rtol, Anorm, bnorm, rnorm, xnorm are used to terminate MINRES.)

% SPD = 0;   [A,D,b,xtrue] = makeAbx( Problem,SPD );

  A      = Problem.A;
  n      = length(A);
  xtrue  = (n:-1:1)'/n;   % xtrue(1) = 1
  b      = A*xtrue;

  iprint = 1;
  [DAD,D]= scaleSID(A,iprint);
  Db     = D*b;

  xminres2 = minresMminres2( DAD,Db,rtol );
  x      = D*xminres2;
  enorm  = norm(x-xtrue,inf);

  fprintf('\n rtol = %9.1e    Inf-norm of error in x = %9.1e\n', rtol, enorm)
end % function testSID
