function testminres2( A )

%        testminres2( A );
% tests minres2 on Ax = b for certain b by comparing with 2 iterations of minres.
%
% 03 Apr 2020: First version of minres2 and testminres2.
% 27 Apr 2020: Fixed bug.

     n      = length(A);
     b      = sparse(n,1);
     b(n/2) = 1;
     x1     = minres2( A,b );   % x1 is sparse
     x1     = full(x1);

     x0     = [];
     M      = [];
     precon = 0;
     shift  = 0.0;
     show   = 1;
     check  = 1;
     itnlim = 2;
%    itnlim = min(n,50);
     rtol   = 1e-8;
     tolMPD = 1e-2;

     [ x2, istop, itn, rnorm, Arnorm, Anorm, Acond, xnorm, betacheck ] = ...
     minres( x0, A, b, M, precon, shift, show, check, itnlim, rtol, tolMPD );

     x2 = full(x2);
     i2 = min(10,n);
     i1 = max(1,n-9);
     disp('         x1,x2(1:10)        x1,x2(n-9:n)')
     [x1(1:i2) x2(1:i2)   x1(i1:n) x2(i1:n)]
